Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Ubuntu-Mate- update errors.  (gelezen 216 keer)

Offline seghele

  • Lid
  • Steunpunt: Nee
Ubuntu-Mate- update errors.
« Gepost op: 2016/11/16, 12:14:16 »
UBUNTU-Mate 16.04.
Na een update (apt-get dist-upgrade) krijg ik volgende ERRORS:
 ???
seghers@ACER:~$ sudo dpkg --configure -a
Instellen van linux-image-4.4.0-21-generic (4.4.0-21.37) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Not updating initrd symbolic links since we are being updated/reinstalled
(4.4.0-21.37 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(4.4.0-21.37 was configured last, according to dpkg)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-21-generic /boot/vmlinuz-4.4.0-21-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-21-generic /boot/vmlinuz-4.4.0-21-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-21-generic
cp: kan status van '/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf' niet opvragen: Bestand of map bestaat niet                                                                                                                 
E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.                                                 
update-initramfs: failed for /boot/initrd.img-4.4.0-21-generic with 1.                                             
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1                                       
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.4.0-21-generic.postinst line 1052.   
dpkg: fout bij verwerken van pakket linux-image-4.4.0-21-generic (--configure):                                   
 subproces post-installation script geïnstalleerd gaf een foutwaarde 2 terug
Instellen van linux-image-4.4.0-49-generic (4.4.0-49.70) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
The link /initrd.img is a dangling linkto /boot/initrd.img-4.4.0-49-generic
vmlinuz(/boot/vmlinuz-4.4.0-49-generic
) points to /boot/vmlinuz-4.4.0-49-generic
 (/boot/vmlinuz-4.4.0-49-generic) -- doing nothing at /var/lib/dpkg/info/linux-image-4.4.0-49-generic.postinst line 491.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-49-generic /boot/vmlinuz-4.4.0-49-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-49-generic /boot/vmlinuz-4.4.0-49-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-49-generic
cp: kan status van '/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf' niet opvragen: Bestand of map bestaat niet
E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.4.0-49-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-4.4.0-49-generic.postinst line 1052.
dpkg: fout bij verwerken van pakket linux-image-4.4.0-49-generic (--configure):
 subproces post-installation script geïnstalleerd gaf een foutwaarde 2 terug
dpkg: vereistenproblemen verhinderen de configuratie van linux-image-generic:
 linux-image-generic is afhankelijk van linux-image-4.4.0-49-generic; maar:
  Pakket linux-image-4.4.0-49-generic is nog niet geconfigureerd.

dpkg: fout bij verwerken van pakket linux-image-generic (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: vereistenproblemen verhinderen de configuratie van linux-image-extra-4.4.0-49-generic:
 linux-image-extra-4.4.0-49-generic is afhankelijk van linux-image-4.4.0-49-generic; maar:
  Pakket linux-image-4.4.0-49-generic is nog niet geconfigureerd.

dpkg: fout bij verwerken van pakket linux-image-extra-4.4.0-49-generic (--configure):
 vereistenproblemen - blijft ongeconfigureerd
dpkg: vereistenproblemen verhinderen de configuratie van linux-generic:
 linux-generic is afhankelijk van linux-image-generic (= 4.4.0.49.52); maar:
  Pakket linux-image-generic is nog niet geconfigureerd.

dpkg: fout bij verwerken van pakket linux-generic (--configure):
 vereistenproblemen - blijft ongeconfigureerd
Fouten gevonden tijdens verwerken van:
 linux-image-4.4.0-21-generic
 linux-image-4.4.0-49-generic
 linux-image-generic
 linux-image-extra-4.4.0-49-generic
 linux-generic
seghers@ACER:~$ sudo apt-get install -f
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
Het volgende pakket is automatisch geïnstalleerd en is niet langer nodig:
  linux-image-4.4.0-21-generic
Gebruik 'sudo apt autoremove' om het te verwijderen.
De volgende pakketten zullen VERWIJDERD worden:
  linux-image-extra-4.4.0-21-generic
0 opgewaardeerd, 0 nieuw geïnstalleerd, 1 te verwijderen en 1 niet opgewaardeerd.
6 niet volledig geïnstalleerd of verwijderd.
Na deze bewerking zal er 162 MB schijfruimte vrijkomen.
Wilt u doorgaan? [J/n] j
(Database wordt ingelezen ... 283273 bestanden en mappen momenteel geïnstalleerd.)
linux-image-extra-4.4.0-21-generic (4.4.0-21.37) wordt verwijderd ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-21-generic /boot/vmlinuz-4.4.0-21-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-21-generic /boot/vmlinuz-4.4.0-21-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-21-generic
cp: kan status van '/usr/share/fonts/truetype/ttf-dejavu/DejaVuSerif.ttf' niet opvragen: Bestand of map bestaat niet
E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.
update-initramfs: failed for /boot/initrd.img-4.4.0-21-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
dpkg: fout bij verwerken van pakket linux-image-extra-4.4.0-21-generic (--remove):
 subproces post-removal script geïnstalleerd gaf een foutwaarde 1 terug
Fouten gevonden tijdens verwerken van:
 linux-image-extra-4.4.0-21-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
seghers@ACER:~$

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Ubuntu-Mate- update errors.
« Reactie #1 Gepost op: 2016/11/16, 16:56:01 »
Indien mijn info (in #1) niet duidelijk blijkt, kan dit door mijn gebrek aan grondige kennis van Ubuntu.
 :rolleyes:
Hopelijk is er iemand die mij kan helpen!

Offline dorusone

  • Lid
  • Steunpunt: Nee
Re: Ubuntu-Mate- update errors.
« Reactie #2 Gepost op: 2016/11/18, 11:49:05 »
te weinig tijd om je probleem tot op het bot te bestuderen
maar ik vond dit :
After you get that error, try apt-get -f install to force an install of the files that didn't get loaded because of the error. Then try apt-get upgrade again, apt-get -f install back and forth until only the package that has the error is left.

op deze site

http://www.linuxquestions.org/questions/debian-26/sub-process-usr-bin-dpkg-returned-an-error-code-1-a-171107/

succes !


Offline seghele

  • Lid
  • Steunpunt: Nee
Re: Ubuntu-Mate- update errors.
« Reactie #3 Gepost op: 2016/11/20, 15:41:15 »
Bedankt voor de info.
Lukt hier niet en heb dus een nieuwe installatie gedaan, nu met Ubuntu-Studio 16.04.
Voorlopig loopt alles op wieltjes.
 ;)

Offline dorusone

  • Lid
  • Steunpunt: Nee
Re: Ubuntu-Mate- update errors.
« Reactie #4 Gepost op: 2016/11/20, 17:07:09 »
Dat blijkt ook weer nu de beste oplossing te zijn  :)
graag gedaan.
(indien je nog niet via het vinkje aangegeven hebt dat je probleem opgelost is, graag even doen)